[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomButton.DialogChar

Handles an accelerator key for the control.

## Declaration

Source position: stdctrls.pp line 1236

`protected function TCustomButton.DialogChar(`
`var Message: TLMKey`
`):Boolean; override;`

## Arguments

`Message` |  | Message examined in the method.

## Function result

True if the message was handled as an accelerator key.

## Description

DialogChar is an overridden Boolean function used to handle a TLMKey message received for the control.

DialogChar examines the CharCode member in Message to determine if it contains the accelerator key defined in the Caption for the control. If it is found, and the control can receive focus, the Click method is called and the return value is set to True. If the Message has a CharCode that is not the accelerator key, the inherited method is called to handle the message and get the return value for the method.

The return value is True when the Message is successfully handled for the control.

## See also

TCustomButton.Click |  | Handles a button click event for the control.
TControl.DialogChar |  | Performs actions needed to handle an accelerator key for the control.
TControl.Caption |  | The text displayed for the control.
TControl.OnClick |  | Notification handler for mouse clicks.